%define	fversion	0.3

%define rel	1
%define svn	0
%if %svn
%define release		%mkrel 0.%svn.%rel
%define distname	%{name}-%{svn}.tar.lzma
%define dirname		%{name}
%else
%define release		%mkrel %rel
%define distname	%{name}-%{version}.tar.bz2
%define dirname		%{name}-%{version}
%endif

Summary:	Python bindings for Pigment
Name:		pigment-python
Version:	0.3.12
Release:	%{release}
Source0:	http://elisa.fluendo.com/static/download/pigment/%{distname}
License:	LGPLv2+
Group:		Development/Python
URL:		http://elisa.fluendo.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libgstreamer-devel >= 0.10
BuildRequires:	libgstreamer0.10-plugins-base-devel
BuildRequires:	gstreamer0.10-python
BuildRequires:	glib2-devel
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	python-devel
BuildRequires:	python-gobject
BuildRequires:	python-pyxml
BuildRequires:	pygtk2.0-devel
BuildRequires:	pigment-devel
BuildRequires:	libpigment-devel
Requires:	pigment

%description
Python bindings for the Pigment library.

%package devel
Group:		Development/Python
Summary:	Development headers for pigment-python
Requires:	%{name}
Requires:	pigment-devel
Requires:	libpigment-devel

%description devel
Python bindings for the Pigment library.

%prep
%setup -q -n %{dirname}

%build
%if %svn
./autogen.sh
%endif
%configure2_5x
make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{py_puresitedir}/pgm
%{py_platsitedir}/*.so

%files devel
%defattr(-,root,root)
%{py_platsitedir}/*.la
%{_datadir}/%{name}


%changelog
* Fri May 29 2009 Adam Williamson <awilliamson@mandriva.org> 0.3.12-1mdv2009.1
+ Revision: 380755
- new release 0.3.12

* Mon Apr 13 2009 Adam Williamson <awilliamson@mandriva.org> 0.3.11-1mdv2009.1
+ Revision: 366799
- new release 0.3.11

* Fri Mar 06 2009 Jérôme Soyer <saispo@mandriva.org> 0.3.10-1mdv2009.1
+ Revision: 349767
- Fix RPM Group

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.9-1mdv2009.1
+ Revision: 318556
- rebuild for python 2.6
- new release 0.3.9

* Tue Sep 30 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.8-1mdv2009.0
+ Revision: 290032
- new release 0.3.8

* Wed Sep 24 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.7-1mdv2009.0
+ Revision: 287970
- new release 0.3.7

* Wed Jul 30 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.5-1mdv2009.0
+ Revision: 254158
- new release 0.3.5
- streamline spec

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.3-4mdv2009.0
+ Revision: 246974
- rebuild

* Mon Mar 10 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.3-2mdv2008.1
+ Revision: 183866
- rebuild for new python

* Tue Mar 04 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.3-1mdv2008.1
+ Revision: 178250
- adjust gstreamer buildrequires to be good for Cooker or 2008
- new release 0.3.3

* Sat Mar 01 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.2.3-1mdv2008.1
+ Revision: 177147
- new release 0.3.2.3

* Wed Feb 27 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.2.2-1mdv2008.1
+ Revision: 175891
- new release 0.3.2.2

* Tue Feb 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.2.1-0.1089.1mdv2008.1
+ Revision: 175218
- new snapshot 1089

* Sat Feb 16 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.2.1-0.1073.1mdv2008.1
+ Revision: 169329
- adjust file list
- buildrequires python-pyxml
- correct gdk-pixbuf buildrequire
- correct version
- update to latest SVN (to match pigment)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix gstreamer0.10-devel BR for x86_64

* Fri Jan 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.2-1mdv2008.1
+ Revision: 158067
- import pigment-python


